# rpi-cam-mqtt-client

Client library to control a raspberry PI camera through MQTT.

Provides high level methods to control a raspberry PI camera:
  - get_status
  - get_ptviews
  - is_active
  - is_ptview_available
  - is_recording
  - is_detecting_motion
  - set_camera_status
  - set_motion_detection_status
  - start_video
  - stop_video
  - take_picture
  - set_exposure_mode
  - set_pantilt

The camera needs to have the RPi-Cam-Web-Interface installed and the MQTT agent running. Check `rpi-cam-mqtt` (https://gitlab.com/gbus/rpi-cam-mqtt) project for further details.

## Installation

The library can be installed and called in a python module:

    pip3 install rpicammqtt_client

    from rpicammqtt_client import RpiCamMqttClient
    help(RpiCamMqttClient)

## Configuration

The configuration file is looked up from:

    /etc/rpi-cam-mqtt/rpi-cam-mqtt.yaml
    $HOME/.rpi-cam-mqtt/rpi-cam-mqtt.yaml
    ./config/rpi-cam-mqtt.yaml

A template can be downloaded from:

    https://gitlab.com/gbus/rpi-cam-mqtt-client/raw/master/rpicammqtt_client/config/rpi-cam-mqtt.yaml
     

## Applications

Example of applications using the library can be found in the package:

    https://gitlab.com/gbus/rpi-cam-mqtt-client/tree/master/rpicammqtt_client/examples

